# WordTypewriter

Class in [Yarn.Unity](/3.1/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

An implementation of [IAsyncTypewriter](/3.1/api/csharp/yarn.unity/yarn.unity.iasynctypewriter.md) that delivers words one at a time, and invokes any [IActionMarkupHandler](/3.1/api/csharp/yarn.unity/yarn.unity.iactionmarkuphandler.md) s along the way as needed.

```csharp
public class WordTypewriter : IAsyncTypewriter
```

## Methods

| Name                                                                                                                                                         | Description                                |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------ |
| [ContentWillDismiss()](/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter/yarn.unity.wordtypewriter.contentwilldismiss.md)                                 |                                            |
| [PrepareForContent(Markup.MarkupParseResult)](/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter/yarn.unity.wordtypewriter.prepareforcontent.md)           |                                            |
| [RunTypewriter(Markup.MarkupParseResult,CancellationToken)](/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter/yarn.unity.wordtypewriter.runtypewriter.md) | Displays the contents of a line over time. |

## Properties

| Name                                                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                              |
| ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ActionMarkupHandlers](/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter/yarn.unity.wordtypewriter.actionmarkuphandlers.md) | A collection of [IActionMarkupHandler](/3.1/api/csharp/yarn.unity/yarn.unity.iactionmarkuphandler.md) objects that should be invoked as needed during the typewriter's delivery in [RunTypewriter(Markup.MarkupParseResult,CancellationToken)](/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter/yarn.unity.wordtypewriter.runtypewriter.md) , depending upon the contents of a line. |
| [Text](/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter/yarn.unity.wordtypewriter.text.md)                                 | The `TMPro.TMP_Text` to display the text in.                                                                                                                                                                                                                                                                                                                                             |
| [WordsPerSecond](/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter/yarn.unity.wordtypewriter.wordspersecond.md)             | The number of words per second to deliver.                                                                                                                                                                                                                                                                                                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.wordtypewriter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
